- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: fd13a795-eb18-4141-bc03-748429d7d67b
    creation_time: 2023-02-17T12:12:49.284081Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps5.c
      input_file_hashes:
        c/nla-digbench/ps5.c: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps5.c
    file_hash: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
    line: 25
    column: 0
    function: main
  loop_invariant:
    string: 6*y*y*y*y*y+15*y*y*y*y+10*y*y*y-30*x-y == 0 && c == y &&  ( c <= k || k < 0 && 0 == c ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: eed0b90b-8935-41da-8989-5198e5cda464
    creation_time: 2023-02-17T12:12:49.284392Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps5.c
      input_file_hashes:
        c/nla-digbench/ps5.c: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps5.c
    file_hash: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
    line: 26
    column: 0
    function: main
  location_invariant:
    string: 6*y*y*y*y*y+15*y*y*y*y+10*y*y*y-30*x-y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b40c3791-d5e7-4f3d-a596-19494f7ac39a
    creation_time: 2023-02-17T12:12:49.284501Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps5.c
      input_file_hashes:
        c/nla-digbench/ps5.c: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps5.c
    file_hash: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 6*y*y*y*y*y+15*y*y*y*y+10*y*y*y-30*x-y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6e028742-9145-4b98-9b5b-4ec3d2b94e4e
    creation_time: 2023-02-17T12:12:49.284587Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps5.c
      input_file_hashes:
        c/nla-digbench/ps5.c: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps5.c
    file_hash: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
    line: 37
    column: 0
    function: main
  location_invariant:
    string: k*y == y*y
    type: assertion
    format: C

